Bug 1431444 - Review Request: molequeue - Desktop integration of high performance computing resources
Summary: Review Request: molequeue - Desktop integration of high performance computing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1431172 1431445 1431448
TreeView+ depends on / blocked
 
Reported: 2017-03-12 15:51 UTC by Antonio T. (sagitter)
Modified: 2017-04-14 22:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-09 16:42:51 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2017-03-12 15:51:17 UTC
Spec URL: https://sagitter.fedorapeople.org/molequeue/molequeue.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/avogadro2/fedora-rawhide-x86_64/00525214-molequeue/molequeue-0.8.0-1.20161222giteb397e.fc27.src.rpm

Description: 
MoleQueue is an open-source, cross-platform, system-tray resident desktop
application for abstracting, managing, and coordinating the execution of tasks
both locally and on remote computational resources. Users can set up local and
remote queues that describe where the task will be executed. Each queue can
have programs, with templates to facilitate the execution of the program. Input
files can be staged, and output files collected using a standard interface.
Some highlights:

* Open source distributed under the liberal 3-clause BSD license
* Cross platform with nightly builds on Linux, Mac OS X and Windows
* Intuitive interface designed to be useful to whole community
* Support for local executation and remote schedulers (SGE, PBS, SLURM)
* System tray resident application managing queue of queues and job lifetime
* Simple, lightweight JSON-RPC 2.0 based communication over local sockets
* Qt 5 client library for simple integration in Qt applications

Fedora Account System Username: sagitter

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-03-13 01:45:38 UTC
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
Hm, upstream has unversioned libraries. So all users will have to be rebuilt in sync. It would be nice talk with upstream why this is a bad idea. Nothing you can do downstream though [https://www.redhat.com/archives/fedora-devel-list/2009-March/msg01155.html].

You should run ldconfig scriptlets anyway, I think [https://fedoraproject.org/wiki/Packaging:Scriptlets#Shared_libraries].

Why not python3? Ah, OK, the code does not seem to be python3 compatible. Too bad.

.tar.gz would be preferable to .zip, they're 30% smaller usually.

This is a graphical application, it would be nice to add an appdata file
https://fedoraproject.org/wiki/Packaging:AppData, and a desktop file.
Especially the desktop file is important so that people can launch this without going to the console. This is a specialized application, so the appdata can be missing.

+ package name is OK
+ license is OK (BSD 3-clause)
+ license is specified correctly
+ builds and installs OK
- scriptlets are missing (see above)
+ buildrequires, provides, requires look correct

Looks good otherwise.

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-03-13 14:27:53 UTC
%build
cat >molequeue.desktop <<EOF
[Desktop Entry]
Name=HPC queuing system 
Exec=molequeue
Terminal=false
Type=Application
Icon=molequeue
EOF

convert molequeue/app/icons/molequeue.ico molequeue/app/icons/molequeue.png

%install
for i in molequeue/app/icons/molequeue-*.png; do
    size="$(identify $i|cut -d' ' -f3)"
    echo install -Dpm0644 $i %{buildroot}%{_datadir}/icons/hicolor/$size/apps/molequeue.png
done

desktop-file-install --dir %{buildroot}%{_datadir}/applications/ molequeue.desktop

Comment 3 Antonio T. (sagitter) 2017-03-14 10:57:37 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> 
> You should run ldconfig scriptlets anyway, I think
> [https://fedoraproject.org/wiki/Packaging:Scriptlets#Shared_libraries].

I have fully ignored the 'ldscripts' in these rpms.
Scatterbrained.

Comment 4 Antonio T. (sagitter) 2017-03-17 20:04:43 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> - Development (unversioned) .so files in -devel subpackage, if present.
>   Note: Unversioned so-files directly in %_libdir.
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
> Hm, upstream has unversioned libraries. So all users will have to be rebuilt
> in sync. It would be nice talk with upstream why this is a bad idea. Nothing
> you can do downstream though
> [https://www.redhat.com/archives/fedora-devel-list/2009-March/msg01155.html].
> 

Asked to upstream: https://github.com/OpenChemistry/molequeue/issues/17

Spec URL: https://sagitter.fedorapeople.org/molequeue/molequeue.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/avogadro2/fedora-rawhide-x86_64/00528416-molequeue/molequeue-0.8.0-2.20161222giteb397e.fc27.src.rpm

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-03-17 20:29:55 UTC
Duh, I thought we got rid of those terrible icon cache scriptlets, but apparently they are still required.

+ package name is OK
+ license is OK (BSD 3-clause)
+ license is specified correctly
+ builds and installs OK
+ scriptlets are OK
+ buildrequires, provides, requires look correct

One issue, my fault:
in the .desktop file:
-Name=HPC queuing system 
+Name=MoleQueue
+Comment=Manage HPC jobs from the system tray

(Name is displayed in search, and the text was too generic.)

Package is APPROVED.

Comment 6 Zbigniew Jędrzejewski-Szmek 2017-03-17 20:30:47 UTC
(I didn't check actual functionality, because I don't have the necessary setup, but the app seems to be functional.)

Comment 8 Gwyn Ciesla 2017-03-20 13:00:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/molequeue

Comment 9 Fedora Update System 2017-04-05 10:03:59 UTC
molequeue-0.8.0-2.20161222giteb397e.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-833b73f0b0

Comment 10 Fedora Update System 2017-04-05 10:04:09 UTC
molequeue-0.8.0-2.20161222giteb397e.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c1b32a53bd

Comment 11 Fedora Update System 2017-04-05 19:54:42 UTC
molequeue-0.8.0-2.20161222giteb397e.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-833b73f0b0

Comment 12 Fedora Update System 2017-04-05 21:55:43 UTC
molequeue-0.8.0-2.20161222giteb397e.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c1b32a53bd

Comment 13 Fedora Update System 2017-04-09 16:42:51 UTC
molequeue-0.8.0-2.20161222giteb397e.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-04-14 22:49:19 UTC
molequeue-0.8.0-2.20161222giteb397e.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.